Index: clientgui/res/macsnoozebadge.xpm
===================================================================
--- clientgui/res/macsnoozebadge.xpm	(Revision 18479)
+++ clientgui/res/macsnoozebadge.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *macsnoozebadge[] = {
+static char const * macsnoozebadge[] = {
 /* width height ncolors chars_per_pixel */
 "128 128 6 1",
 /* colors */
Index: clientgui/res/skins/default/graphic/workunit_gauge_progress_indicator_image.xpm
===================================================================
--- clientgui/res/skins/default/graphic/workunit_gauge_progress_indicator_image.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/workunit_gauge_progress_indicator_image.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *workunit_gauge_progress_indicator_image_xpm[] = {
+static char const * workunit_gauge_progress_indicator_image_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "8 7 37 1",
 "@ c #26323F",
Index: clientgui/res/skins/default/graphic/state_indicator_background_image.xpm
===================================================================
--- clientgui/res/skins/default/graphic/state_indicator_background_image.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/state_indicator_background_image.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *state_indicator_background_image_xpm[] = {
+static char const * state_indicator_background_image_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "264 35 181 2",
 "h  c Black",
Index: clientgui/res/skins/default/graphic/left_arrow_clicked_button.xpm
===================================================================
--- clientgui/res/skins/default/graphic/left_arrow_clicked_button.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/left_arrow_clicked_button.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *left_arrow_clicked_button_xpm[] = {
+static char const * left_arrow_clicked_button_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "20 20 158 2",
 ";. c #95BBB4",
Index: clientgui/res/skins/default/graphic/resume_link_image.xpm
===================================================================
--- clientgui/res/skins/default/graphic/resume_link_image.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/resume_link_image.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *resume_link_image_xpm[] = {
+static char const * resume_link_image_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "59 20 74 1",
 "H c #C4E2E4",
Index: clientgui/res/skins/default/graphic/workunit_active_image.xpm
===================================================================
--- clientgui/res/skins/default/graphic/workunit_active_image.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/workunit_active_image.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *workunit_active_image_xpm[] = {
+static char const * workunit_active_image_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "16 16 103 2",
 "Q  c #C8F6C9",
Index: clientgui/res/skins/default/graphic/preferences_link_image.xpm
===================================================================
--- clientgui/res/skins/default/graphic/preferences_link_image.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/preferences_link_image.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *preferences_link_image_xpm[] = {
+static char const * preferences_link_image_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "81 20 115 2",
 "&  c #9CC2D4",
Index: clientgui/res/skins/default/graphic/cancel_button.xpm
===================================================================
--- clientgui/res/skins/default/graphic/cancel_button.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/cancel_button.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *cancel_button_xpm[] = {
+static char const * cancel_button_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "82 18 83 1",
 "i c #44429C",
Index: clientgui/res/skins/default/graphic/background_image.xpm
===================================================================
--- clientgui/res/skins/default/graphic/background_image.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/background_image.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *background_image_xpm[] = {
+static char const * background_image_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "410 540 126 2",
 "q  c #E3FBBA",
Index: clientgui/res/skins/default/graphic/workunit_animation_background_image.xpm
===================================================================
--- clientgui/res/skins/default/graphic/workunit_animation_background_image.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/workunit_animation_background_image.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *workunit_animation_background_image_xpm[] = {
+static char const * workunit_animation_background_image_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "294 146 22 1",
 "O c Black",
Index: clientgui/res/skins/default/graphic/advanced_link_image.xpm
===================================================================
--- clientgui/res/skins/default/graphic/advanced_link_image.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/advanced_link_image.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *advanced_link_image_xpm[] = {
+static char const * advanced_link_image_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "101 20 108 2",
 "0  c #9CC2D4",
Index: clientgui/res/skins/default/graphic/attach_project_button.xpm
===================================================================
--- clientgui/res/skins/default/graphic/attach_project_button.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/attach_project_button.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *attach_project_button_xpm[] = {
+static char const * attach_project_button_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "81 18 235 2",
 "aX c #99B8D2",
Index: clientgui/res/skins/default/graphic/connecting_indicator_image.xpm
===================================================================
--- clientgui/res/skins/default/graphic/connecting_indicator_image.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/connecting_indicator_image.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *connecting_indicator_image_xpm[] = {
+static char const * connecting_indicator_image_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "14 15 14 1",
 "  c Black",
Index: clientgui/res/skins/default/graphic/save_button.xpm
===================================================================
--- clientgui/res/skins/default/graphic/save_button.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/save_button.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *save_button_xpm[] = {
+static char const * save_button_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "82 18 95 2",
 "k  c #44429C",
Index: clientgui/res/skins/default/graphic/copy_all_button.xpm
===================================================================
--- clientgui/res/skins/default/graphic/copy_all_button.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/copy_all_button.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *copy_all_button_xpm[] = {
+static char const * copy_all_button_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "82 18 114 2",
 "k  c #44429C",
Index: clientgui/res/skins/default/graphic/cancel_clicked_button.xpm
===================================================================
--- clientgui/res/skins/default/graphic/cancel_clicked_button.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/cancel_clicked_button.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *cancel_clicked_button_xpm[] = {
+static char const * cancel_clicked_button_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "82 18 84 1",
 "i c #44429C",
Index: clientgui/res/skins/default/graphic/close_button.xpm
===================================================================
--- clientgui/res/skins/default/graphic/close_button.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/close_button.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *close_button_xpm[] = {
+static char const * close_button_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "82 18 126 2",
 "f  c #44429C",
Index: clientgui/res/skins/default/graphic/dialog_background_image.xpm
===================================================================
--- clientgui/res/skins/default/graphic/dialog_background_image.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/dialog_background_image.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *dialog_background_image_xpm[] = {
+static char const * dialog_background_image_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "800 598 64 1",
 "l c #E5FBC3",
Index: clientgui/res/skins/default/graphic/workunit_tab_area_background_image.xpm
===================================================================
--- clientgui/res/skins/default/graphic/workunit_tab_area_background_image.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/workunit_tab_area_background_image.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *workunit_tab_area_background_image_xpm[] = {
+static char const * workunit_tab_area_background_image_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "343 24 221 2",
 "T. c #D4C6A4",
Index: clientgui/res/skins/default/graphic/attach_project_clicked_button.xpm
===================================================================
--- clientgui/res/skins/default/graphic/attach_project_clicked_button.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/attach_project_clicked_button.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *attach_project_clicked_button_xpm[] = {
+static char const * attach_project_clicked_button_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "81 18 235 2",
 "aX c #99B8D2",
Index: clientgui/res/skins/default/graphic/copy_button.xpm
===================================================================
--- clientgui/res/skins/default/graphic/copy_button.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/copy_button.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *copy_button_xpm[] = {
+static char const * copy_button_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "82 18 95 2",
 "g  c #44429C",
Index: clientgui/res/skins/default/graphic/synchronize_button.xpm
===================================================================
--- clientgui/res/skins/default/graphic/synchronize_button.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/synchronize_button.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *synchronize_button_xpm[] = {
+static char const * synchronize_button_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "81 18 187 2",
 "Q. c #4C53A7",
Index: clientgui/res/skins/default/graphic/save_clicked_button.xpm
===================================================================
--- clientgui/res/skins/default/graphic/save_clicked_button.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/save_clicked_button.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *save_clicked_button_xpm[] = {
+static char const * save_clicked_button_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "82 18 90 1",
 "k c #44429C",
Index: clientgui/res/skins/default/graphic/project_image.xpm
===================================================================
--- clientgui/res/skins/default/graphic/project_image.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/project_image.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *project_image_xpm[] = {
+static char const * project_image_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "40 40 205 2",
 "!  c #E4C137",
Index: clientgui/res/skins/default/graphic/copy_all_clicked_button.xpm
===================================================================
--- clientgui/res/skins/default/graphic/copy_all_clicked_button.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/copy_all_clicked_button.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *copy_all_clicked_button_xpm[] = {
+static char const * copy_all_clicked_button_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "82 18 113 2",
 "k  c #44429C",
Index: clientgui/res/skins/default/graphic/messages_alert_link_image.xpm
===================================================================
--- clientgui/res/skins/default/graphic/messages_alert_link_image.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/messages_alert_link_image.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *messages_alert_link_image_xpm[] = {
+static char const * messages_alert_link_image_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "70 20 157 2",
 "y. c #CC5A6C",
Index: clientgui/res/skins/default/graphic/close_clicked_button.xpm
===================================================================
--- clientgui/res/skins/default/graphic/close_clicked_button.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/close_clicked_button.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *close_clicked_button_xpm[] = {
+static char const * close_clicked_button_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "82 18 122 2",
 "f  c #44429C",
Index: clientgui/res/skins/default/graphic/spacer_image.xpm
===================================================================
--- clientgui/res/skins/default/graphic/spacer_image.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/spacer_image.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *spacer_image_xpm[] = {
+static char const * spacer_image_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "2 11 8 1",
 "  c Black",
Index: clientgui/res/skins/default/graphic/right_arrow_button.xpm
===================================================================
--- clientgui/res/skins/default/graphic/right_arrow_button.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/right_arrow_button.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *right_arrow_button_xpm[] = {
+static char const * right_arrow_button_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "20 20 201 2",
 "w  c #578887",
Index: clientgui/res/skins/default/graphic/copy_clicked_button.xpm
===================================================================
--- clientgui/res/skins/default/graphic/copy_clicked_button.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/copy_clicked_button.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *copy_clicked_button_xpm[] = {
+static char const * copy_clicked_button_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "82 18 93 2",
 "g  c #44429C",
Index: clientgui/res/skins/default/graphic/help_button.xpm
===================================================================
--- clientgui/res/skins/default/graphic/help_button.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/help_button.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *help_button_xpm[] = {
+static char const * help_button_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "18 18 58 1",
 "0 c #6370B5",
Index: clientgui/res/skins/default/graphic/workunit_animation_image.xpm
===================================================================
--- clientgui/res/skins/default/graphic/workunit_animation_image.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/workunit_animation_image.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *workunit_animation_image_xpm[] = {
+static char const * workunit_animation_image_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "260 61 128 2",
 "   c Black",
Index: clientgui/res/skins/default/graphic/synchronize_clicked_button.xpm
===================================================================
--- clientgui/res/skins/default/graphic/synchronize_clicked_button.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/synchronize_clicked_button.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *synchronize_clicked_button_xpm[] = {
+static char const * synchronize_clicked_button_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "81 18 242 2",
 "kX c #99B8D2",
Index: clientgui/res/skins/default/graphic/messages_link_image.xpm
===================================================================
--- clientgui/res/skins/default/graphic/messages_link_image.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/messages_link_image.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *messages_link_image_xpm[] = {
+static char const * messages_link_image_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "70 20 138 2",
 "e  c #9CC2D4",
Index: clientgui/res/skins/default/graphic/error_indicator_image.xpm
===================================================================
--- clientgui/res/skins/default/graphic/error_indicator_image.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/error_indicator_image.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *error_indicator_image_xpm[] = {
+static char const * error_indicator_image_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "69 20 46 1",
 "  c Black",
Index: clientgui/res/skins/default/graphic/workunit_gauge_background_image.xpm
===================================================================
--- clientgui/res/skins/default/graphic/workunit_gauge_background_image.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/workunit_gauge_background_image.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *workunit_gauge_background_image_xpm[] = {
+static char const * workunit_gauge_background_image_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "258 18 116 2",
 "Q  c #BADDE2",
Index: clientgui/res/skins/default/graphic/workunit_suspended_image.xpm
===================================================================
--- clientgui/res/skins/default/graphic/workunit_suspended_image.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/workunit_suspended_image.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *workunit_suspended_image_xpm[] = {
+static char const * workunit_suspended_image_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "16 16 103 2",
 "Q  c #C8F6C9",
Index: clientgui/res/skins/default/graphic/project_area_background_image.xpm
===================================================================
--- clientgui/res/skins/default/graphic/project_area_background_image.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/project_area_background_image.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *project_area_background_image_xpm[] = {
+static char const * project_area_background_image_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "343 113 32 1",
 "@ c #B8E0E4",
Index: clientgui/res/skins/default/graphic/left_arrow_button.xpm
===================================================================
--- clientgui/res/skins/default/graphic/left_arrow_button.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/left_arrow_button.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *left_arrow_button_xpm[] = {
+static char const * left_arrow_button_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "20 20 157 2",
 "h. c #709F9C",
Index: clientgui/res/skins/default/graphic/suspend_link_image.xpm
===================================================================
--- clientgui/res/skins/default/graphic/suspend_link_image.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/suspend_link_image.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *suspend_link_image_xpm[] = {
+static char const * suspend_link_image_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "59 20 71 1",
 "r c #C4E2E4",
Index: clientgui/res/skins/default/graphic/right_arrow_clicked_button.xpm
===================================================================
--- clientgui/res/skins/default/graphic/right_arrow_clicked_button.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/right_arrow_clicked_button.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *right_arrow_clicked_button_xpm[] = {
+static char const * right_arrow_clicked_button_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "20 20 208 2",
 "C  c #90B7B1",
Index: clientgui/res/skins/default/graphic/help_clicked_button.xpm
===================================================================
--- clientgui/res/skins/default/graphic/help_clicked_button.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/help_clicked_button.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *help_clicked_button_xpm[] = {
+static char const * help_clicked_button_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "18 18 58 1",
 "0 c #6370B5",
Index: clientgui/res/skins/default/graphic/workunit_area_background_image.xpm
===================================================================
--- clientgui/res/skins/default/graphic/workunit_area_background_image.xpm	(Revision 18479)
+++ clientgui/res/skins/default/graphic/workunit_area_background_image.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *workunit_area_background_image_xpm[] = {
+static char const * workunit_area_background_image_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "343 314 32 1",
 ". c #333399",
Index: clientgui/res/macbadgemask.xpm
===================================================================
--- clientgui/res/macbadgemask.xpm	(Revision 18479)
+++ clientgui/res/macbadgemask.xpm	(Arbeitskopie)
@@ -16,7 +16,7 @@
 // along with BOINC.  If not, see <http://www.gnu.org/licenses/>.
 
 /* XPM */
-static char *macbadgemask[] = {
+static char const * macbadgemask[] = {
 /* width height ncolors chars_per_pixel */
 "128 128 6 1",
 /* colors */
Index: clientgui/res/warning.xpm
===================================================================
--- clientgui/res/warning.xpm	(Revision 18479)
+++ clientgui/res/warning.xpm	(Arbeitskopie)
@@ -1,5 +1,5 @@
 /* XPM */
-static char *warning_xpm[] = {
+static char const * warning_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "48 48 9 1",
 "@ c Black",
Index: clientgui/res/gridrepublic32.xpm
===================================================================
--- clientgui/res/gridrepublic32.xpm	(Revision 18479)
+++ clientgui/res/gridrepublic32.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *gridrepublic32_xpm[] = {
+static char const * gridrepublic32_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "32 32 212 2",
 ":. c #3C4248",
Index: clientgui/res/gridrepublic16.xpm
===================================================================
--- clientgui/res/gridrepublic16.xpm	(Revision 18479)
+++ clientgui/res/gridrepublic16.xpm	(Arbeitskopie)
@@ -18,7 +18,7 @@
 // 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 /* XPM */
-static char *gridrepublic16_xpm[] = {
+static char const * gridrepublic16_xpm[] = {
 /* columns rows colors chars-per-pixel */
 "16 16 158 2",
 "s. c Black",
Index: clientgui/res/macdisconnectbadge.xpm
===================================================================
--- clientgui/res/macdisconnectbadge.xpm	(Revision 18479)
+++ clientgui/res/macdisconnectbadge.xpm	(Arbeitskopie)
@@ -16,7 +16,7 @@
 // along with BOINC.  If not, see <http://www.gnu.org/licenses/>.
 
 /* XPM */
-static char *macdisconnectbadge[] = {
+static char const * macdisconnectbadge[] = {
 /* width height ncolors chars_per_pixel */
 "128 128 7 1",
 /* colors */
Index: clientgui/common/wxFlatNotebookImages.h
===================================================================
--- clientgui/common/wxFlatNotebookImages.h	(Revision 18479)
+++ clientgui/common/wxFlatNotebookImages.h	(Arbeitskopie)
@@ -25,7 +25,7 @@
 	// Images used by the control
 	////////////////////////////////////////////////////////////
 	/* XPM */
-	static char *left_arrow_disabled_xpm[] = {
+	static char const * left_arrow_disabled_xpm[] = {
 		/* width height num_colors chars_per_pixel */
 		"    16    16        8            1",
 			/* colors */
@@ -57,7 +57,7 @@
 	};
 
 	/* XPM */
-	static char *x_button_pressed_xpm[] = {
+	static char const * x_button_pressed_xpm[] = {
 		/* width height num_colors chars_per_pixel */
 		"    16    16        8            1",
 			/* colors */
@@ -90,7 +90,7 @@
 
 
 	/* XPM */
-	static char *left_arrow_xpm[] = {
+	static char const * left_arrow_xpm[] = {
 		/* width height num_colors chars_per_pixel */
 		"    16    16        8            1",
 			/* colors */
@@ -122,7 +122,7 @@
 	};
 
 	/* XPM */
-	static char *x_button_hilite_xpm[] = {
+	static char const * x_button_hilite_xpm[] = {
 		/* width height num_colors chars_per_pixel */
 		"    16    16        8            1",
 			/* colors */
@@ -154,7 +154,7 @@
 	};
 
 	/* XPM */
-	static char *x_button_xpm[] = {
+	static char const * x_button_xpm[] = {
 		/* width height num_colors chars_per_pixel */
 		"    16    16        8            1",
 			/* colors */
@@ -186,7 +186,7 @@
 	};
 
 	/* XPM */
-	static char *left_arrow_pressed_xpm[] = {
+	static char const * left_arrow_pressed_xpm[] = {
 		/* width height num_colors chars_per_pixel */
 		"    16    16        8            1",
 			/* colors */
@@ -218,7 +218,7 @@
 	};
 
 	/* XPM */
-	static char *left_arrow_hilite_xpm[] = {
+	static char const * left_arrow_hilite_xpm[] = {
 		/* width height num_colors chars_per_pixel */
 		"    16    16        8            1",
 			/* colors */
@@ -250,7 +250,7 @@
 	};
 
 	/* XPM */
-	static char *right_arrow_disabled_xpm[] = {
+	static char const * right_arrow_disabled_xpm[] = {
 		/* width height num_colors chars_per_pixel */
 		"    16    16        8            1",
 			/* colors */
@@ -282,7 +282,7 @@
 	};
 
 	/* XPM */
-	static char *right_arrow_hilite_xpm[] = {
+	static char const * right_arrow_hilite_xpm[] = {
 		/* width height num_colors chars_per_pixel */
 		"    16    16        8            1",
 			/* colors */
@@ -314,7 +314,7 @@
 	};
 
 	/* XPM */
-	static char *right_arrow_pressed_xpm[] = {
+	static char const * right_arrow_pressed_xpm[] = {
 		/* width height num_colors chars_per_pixel */
 		"    16    16        8            1",
 			/* colors */
@@ -347,7 +347,7 @@
 
 
 	/* XPM */
-	static char *right_arrow_xpm[] = {
+	static char const * right_arrow_xpm[] = {
 		/* width height num_colors chars_per_pixel */
 		"    16    16        8            1",
 			/* colors */
@@ -381,7 +381,7 @@
 	const int tab_x_size = 9;
 
 	/* XPM */
-	static char *tab_x_button_pressed_xpm[] = {
+	static char const * tab_x_button_pressed_xpm[] = {
 		/* width height num_colors chars_per_pixel */
 		"     9     9        8            1",
 			/* colors */
@@ -406,7 +406,7 @@
 	};
 
 	/* XPM */
-	static char *tab_x_button_xpm[] = {
+	static char const * tab_x_button_xpm[] = {
 		/* width height num_colors chars_per_pixel */
 		"     9     9        8            1",
 			/* colors */
@@ -431,7 +431,7 @@
 	};
 
 	/* XPM */
-	static char *tab_x_button_hilite_xpm[] = {
+	static char const * tab_x_button_hilite_xpm[] = {
 		/* width height num_colors chars_per_pixel */
 		"     9     9        8            1",
 			/* colors */
Index: client/client_msgs.h
===================================================================
--- client/client_msgs.h	(Revision 18479)
+++ client/client_msgs.h	(Arbeitskopie)
@@ -45,7 +45,7 @@
 
 extern std::deque<MESSAGE_DESC*> message_descs;
 extern void record_message(class PROJECT *p, int priority, int now, char* msg);
-extern void show_message(class PROJECT *p, char* message, int priority);
+extern void show_message(class PROJECT* p, char const * message, int priority);
 
 // the __attribute((format...)) tags are GCC extensions that let the compiler
 // do like-checking on printf-like arguments
Index: client/scheduler_op.h
===================================================================
--- client/scheduler_op.h	(Revision 18479)
+++ client/scheduler_op.h	(Arbeitskopie)
@@ -90,7 +90,7 @@
 struct USER_MESSAGE {
     std::string message;
     std::string priority;
-    USER_MESSAGE(char*, char*);
+    USER_MESSAGE(char const * m , char const * p);
 };
 
 struct SCHEDULER_REPLY {
Index: client/file_names.cpp
===================================================================
--- client/file_names.cpp	(Revision 18479)
+++ client/file_names.cpp	(Arbeitskopie)
@@ -252,7 +252,7 @@
     dir_close(dirp);
 }
 
-void get_account_filename(char* master_url, char* path) {
+void get_account_filename(char const * master_url, char* path) {
     char buf[1024];
     escape_project_url(master_url, buf);
     sprintf(path, "account_%s.xml", buf);
@@ -306,7 +306,7 @@
     return true;
 }
 
-void get_statistics_filename(char* master_url, char* path) {
+void get_statistics_filename(char const * master_url, char* path) {
     char buf[256];
     escape_project_url(master_url, buf);
     sprintf(path, "statistics_%s.xml", buf);
Index: client/sim.h
===================================================================
--- client/sim.h	(Revision 18479)
+++ client/sim.h	(Arbeitskopie)
@@ -277,8 +277,8 @@
     void make_job(SIM_PROJECT*, WORKUNIT*, RESULT*);
     void handle_completed_results();
     void get_workload(vector<IP_RESULT>&);
-    int parse_projects(char*);
-    int parse_host(char*);
+    int parse_projects(char const *);
+    int parse_host(char const *);
     void simulate();
     bool scheduler_rpc_poll();
     bool simulate_rpc(PROJECT*);
Index: client/file_names.h
===================================================================
--- client/file_names.h	(Revision 18479)
+++ client/file_names.h	(Arbeitskopie)
@@ -38,10 +38,10 @@
 extern int remove_project_dir(PROJECT&);
 extern int make_slot_dir(int);
 extern void delete_old_slot_dirs();
-extern void get_account_filename(char* master_url, char* path);
+extern void get_account_filename(char const * master_url, char* path);
 extern bool is_account_file(const char*);
 extern bool is_statistics_file(const char*);
-extern void get_statistics_filename(char* master_url, char* path);
+extern void get_statistics_filename(char const * master_url, char* path);
 extern bool is_image_file(const char*);
 
 extern void get_sched_request_filename(PROJECT&, char*, int len);
Index: client/main.cpp
===================================================================
--- client/main.cpp	(Revision 18479)
+++ client/main.cpp	(Arbeitskopie)
@@ -91,7 +91,7 @@
 // Display a message to the user.
 // Depending on the priority, the message may be more or less obtrusive
 //
-void show_message(PROJECT *p, char* msg, int priority) {
+void show_message(PROJECT* p, char const * msg, int priority) {
     const char* x;
     char message[1024];
     time_t now = time(0);
Index: client/sim_util.cpp
===================================================================
--- client/sim_util.cpp	(Revision 18479)
+++ client/sim_util.cpp	(Arbeitskopie)
@@ -64,7 +64,7 @@
 
 int CLIENT_STATE::report_result_error(RESULT& , const char* , ...) {return 0;}
 
-void show_message(PROJECT *p, char* msg, int priority) {
+void show_message(PROJECT* p, char const * msg, int priority) {
     const char* x;
     char message[1024];
     char* time_string = time_to_string(gstate.now);
@@ -514,7 +514,7 @@
     return ERR_XML_PARSE;
 }
 
-int CLIENT_STATE::parse_projects(char* name) {
+int CLIENT_STATE::parse_projects(char const * name) {
     char tag[256];
     bool is_tag;
     MIOFILE mf;
@@ -545,7 +545,7 @@
     return ERR_XML_PARSE;
 }
 
-int CLIENT_STATE::parse_host(char* name) {
+int CLIENT_STATE::parse_host(char const * name) {
     MIOFILE mf;
 
     FILE* f = fopen(name, "r");
@@ -560,11 +560,11 @@
     return 0;
 }
 
-bool boinc_is_finite(double x) {
-#if defined (HPUX_SOURCE)
-    return _Isfinite(x);
-    return false;
-#else
-    return finite(x);
-#endif
-}
+bool boinc_is_finite(double x) {
+#if defined (HPUX_SOURCE)
+    return _Isfinite(x);
+    return false;
+#else
+    return finite(x);
+#endif
+}
Index: client/scheduler_op.cpp
===================================================================
--- client/scheduler_op.cpp	(Revision 18479)
+++ client/scheduler_op.cpp	(Arbeitskopie)
@@ -846,9 +846,8 @@
     return ERR_XML_PARSE;
 }
 
-USER_MESSAGE::USER_MESSAGE(char* m, char* p) {
-    message = m;
-    priority = p;
+USER_MESSAGE::USER_MESSAGE(char const * m , char const * p)
+ : message(m), priority(p) {
 }
 
-const char *BOINC_RCSID_11c806525b = "$Id$";
+const char BOINC_RCSID_11c806525b[] = "$Id$";
Index: db/boinc_db.cpp
===================================================================
--- db/boinc_db.cpp	(Revision 18479)
+++ db/boinc_db.cpp	(Arbeitskopie)
@@ -1554,7 +1554,7 @@
     file_delete_state = atoi(r[i++]);
 }
 
-int DB_SCHED_RESULT_ITEM_SET::add_result(char* result_name) {
+int DB_SCHED_RESULT_ITEM_SET::add_result(char const * result_name) {
     SCHED_RESULT_ITEM result;
     result.id = 0;
     strcpy2(result.queried_name, result_name);
@@ -1625,7 +1625,7 @@
     return 0;
 }
 
-int DB_SCHED_RESULT_ITEM_SET::lookup_result(char* result_name, SCHED_RESULT_ITEM** rip) {
+int DB_SCHED_RESULT_ITEM_SET::lookup_result(char const * result_name, SCHED_RESULT_ITEM** rip) {
     unsigned int i;
     for (i=0; i<results.size(); i++) {
         if (!strcmp(results[i].name, result_name)) {
Index: db/db_base.cpp
===================================================================
--- db/db_base.cpp	(Revision 18479)
+++ db/db_base.cpp	(Arbeitskopie)
@@ -39,7 +39,10 @@
     mysql = 0;
 }
 
-int DB_CONN::open(char* db_name, char* db_host, char* db_user, char* dbpassword) {
+int DB_CONN::open(char const * db_name,
+                  char const * db_host,
+                  char const * db_user,
+                  char const * dbpassword) {
     mysql = mysql_init(0);
     if (!mysql) return ERR_DB_CANT_INIT;
 #if MYSQL_VERSION_ID >= 50106
Index: db/boinc_db.h
===================================================================
--- db/boinc_db.h	(Revision 18479)
+++ db/boinc_db.h	(Arbeitskopie)
@@ -824,14 +824,14 @@
     DB_SCHED_RESULT_ITEM_SET(DB_CONN* p=0);
     std::vector<SCHED_RESULT_ITEM> results;
 
-    int add_result(char* result_name);
+    int add_result(char const * result_name);
 
     int enumerate();
         // using a single SQL query, look up all the reported results,
         // (based on queried_name)
         // and fill in the rest of the entries in the results vector
 
-    int lookup_result(char* result_name, SCHED_RESULT_ITEM** result);
+    int lookup_result(char const * result_name, SCHED_RESULT_ITEM** result);
 
     int update_result(SCHED_RESULT_ITEM& result);
     int update_workunits();
Index: db/db_base.h
===================================================================
--- db/db_base.h	(Revision 18479)
+++ db/db_base.h	(Arbeitskopie)
@@ -67,7 +67,10 @@
 class DB_CONN {
 public:
     DB_CONN();
-    int open(char* name, char* host, char* user, char* passwd);
+    int open(char const * name,
+             char const * host,
+             char const * user,
+             char const * passwd);
     int set_isolation_level(ISOLATION_LEVEL);
     int do_query(const char*);
     int affected_rows();
Index: lib/str_util.h
===================================================================
--- lib/str_util.h	(Revision 18479)
+++ lib/str_util.h	(Arbeitskopie)
@@ -38,10 +38,10 @@
 extern void unescape_url(std::string& url);
 extern void unescape_url(char *url);
 extern void escape_url(std::string& url);
-extern void escape_url(char *in, char*out);
-extern void escape_url_readable(char* in, char* out);
-extern void escape_project_url(char *in, char* out);
-extern bool valid_master_url(char*);
+extern void escape_url(char const * in, char* out);
+extern void escape_url_readable(char const * in, char* out);
+extern void escape_project_url(char const * in, char* out);
+extern bool valid_master_url(char const* buf);
 extern void canonicalize_master_url(char *url);
 extern void canonicalize_master_url(std::string&);
 #define safe_strcpy(x, y) strlcpy(x, y, sizeof(x))
Index: lib/str_util.cpp
===================================================================
--- lib/str_util.cpp	(Revision 18479)
+++ lib/str_util.cpp	(Arbeitskopie)
@@ -294,7 +294,7 @@
     return argc;
 }
 
-static char x2c(char *what) {
+static char x2c(char const * what) {
     register char digit;
 
     digit = (what[0] >= 'A' ? ((what[0] & 0xdf) - 'A')+10 : (what[0] - '0'));
@@ -389,7 +389,7 @@
     url = buf;
 }
 
-void escape_url(char *in, char*out) {
+void escape_url(char const * in, char* out) {
     int x, y;
     for (x=0, y=0; in[x]; ++x) {
         if (isalnum(in[x])) {
@@ -440,7 +440,7 @@
 // Escape a URL for the project directory, cutting off the "http://",
 // converting everthing other than alphanumbers, ., - and _ to "_".
 //
-void escape_url_readable(char *in, char* out) {
+void escape_url_readable(char const * in, char* out) {
     int x, y;
     char *temp;
 
@@ -500,7 +500,7 @@
 
 // is the string a valid master URL, in canonical form?
 //
-bool valid_master_url(char* buf) {
+bool valid_master_url(char const * buf) {
     char* p, *q;
     size_t n;
 	bool bSSL = false;
@@ -591,7 +591,7 @@
     return buf;
 }
 
-void escape_project_url(char *in, char* out) {
+void escape_project_url(char const * in, char* out) {
     escape_url_readable(in, out);
     char& last = out[strlen(out)-1];
     // remove trailing _
@@ -879,4 +879,4 @@
     return retval;
 }
 
-const char *BOINC_RCSID_ab90e1e = "$Id$";
+const char BOINC_RCSID_ab90e1e[] = "$Id$";
Index: lib/filesys.cpp
===================================================================
--- lib/filesys.cpp	(Revision 18479)
+++ lib/filesys.cpp	(Arbeitskopie)
@@ -718,7 +718,7 @@
 // get total and free space on current filesystem (in bytes)
 //
 #ifdef _WIN32
-int get_filesystem_info(double &total_space, double &free_space, char*) {
+int get_filesystem_info(double &total_space, double &free_space, char const *) {
     char buf[256];
     boinc_getcwd(buf);
     FreeFn pGetDiskFreeSpaceEx;
@@ -751,7 +751,7 @@
         total_space = (double)dwTotalClusters * dwSectPerClust * dwBytesPerSect;
     }
 #else
-int get_filesystem_info(double &total_space, double &free_space, char* path) {
+int get_filesystem_info(double &total_space, double &free_space, char const * path) {
 #ifdef STATFS
     struct STATFS fs_info;
 
@@ -772,7 +772,7 @@
 
 #ifndef _WIN32
 
-int get_file_dir(char* filename, char* dir) {
+int get_file_dir(char const * filename, char* dir) {
     char buf[8192], *p, path[256];
     struct stat sbuf;
     int retval;
@@ -797,4 +797,4 @@
 
 #endif
 
-const char *BOINC_RCSID_636c8d709b = "$Id$";
+const char BOINC_RCSID_636c8d709b[] = "$Id$";
Index: lib/app_ipc.h
===================================================================
--- lib/app_ipc.h	(Revision 18479)
+++ lib/app_ipc.h	(Arbeitskopie)
@@ -236,7 +236,7 @@
 } // extern "C" {
 #endif
 
-extern void url_to_project_dir(char* url, char* dir);
+extern void url_to_project_dir(char const * url, char* dir);
 
 #endif
 
Index: lib/synch.cpp
===================================================================
--- lib/synch.cpp	(Revision 18479)
+++ lib/synch.cpp	(Arbeitskopie)
@@ -105,10 +105,10 @@
     return 0;
 }
 
-int get_key(char* path, int id, key_t& key) {
+int get_key(char const * path, int id, key_t& key) {
     key = ftok(path, id);
     if (key == (key_t)-1) return ERR_FTOK;
     return 0;
 }
 
-const char *BOINC_RCSID_9412b586d1 = "$Id$";
+const char BOINC_RCSID_9412b586d1[] = "$Id$";
Index: lib/app_ipc.cpp
===================================================================
--- lib/app_ipc.cpp	(Revision 18479)
+++ lib/app_ipc.cpp	(Arbeitskopie)
@@ -403,7 +403,7 @@
     return 0;
 }
 
-void url_to_project_dir(char* url, char* dir) {
+void url_to_project_dir(char const * url, char* dir) {
     char buf[256];
     escape_project_url(url, buf);
     sprintf(dir, "%s/%s", PROJECT_DIR, buf);
Index: lib/filesys.h
===================================================================
--- lib/filesys.h	(Revision 18479)
+++ lib/filesys.h	(Arbeitskopie)
@@ -69,7 +69,7 @@
 extern int file_size(const char*, double&);
 extern int clean_out_dir(const char*);
 extern int dir_size(const char* dirpath, double&, bool recurse=true);
-extern int get_filesystem_info(double& total, double& free, char* path=const_cast<char *>("."));
+extern int get_filesystem_info(double& total, double& free, char const * path = ".");
 
 // TODO TODO TODO
 // remove this code - the DirScanner class does the same thing.
@@ -123,7 +123,7 @@
 
 // search PATH, find the directory that a program is in, if any
 //
-extern int get_file_dir(char* filename, char* dir);
+extern int get_file_dir(char const * filename, char* dir);
 
 #endif
 
Index: lib/synch.h
===================================================================
--- lib/synch.h	(Revision 18479)
+++ lib/synch.h	(Arbeitskopie)
@@ -24,6 +24,6 @@
 extern int destroy_semaphore(key_t);
 extern int lock_semaphore(key_t);
 extern int unlock_semaphore(key_t);
-extern int get_key(char* path, int id, key_t&);
+extern int get_key(char const * path, int id, key_t&);
 
 #endif
Index: api/boinc_api.cpp
===================================================================
--- api/boinc_api.cpp	(Revision 18479)
+++ api/boinc_api.cpp	(Arbeitskopie)
@@ -85,7 +85,7 @@
 // Unless otherwise noted, "CPU time" refers to the sum over all episodes
 // (not counting the part after the last checkpoint in an episode).
 
-const char* api_version="API_VERSION_"PACKAGE_VERSION;
+char const api_version[] = "API_VERSION_" PACKAGE_VERSION;
 static APP_INIT_DATA aid;
 static FILE_LOCK file_lock;
 APP_CLIENT_SHM* app_client_shm = 0;
@@ -167,7 +167,7 @@
 static void block_sigalrm();
 static int start_worker_signals();
 
-char* boinc_msg_prefix() {
+char const * const boinc_msg_prefix() {
     static char sbuf[256];
     char buf[256];
 
@@ -806,7 +806,7 @@
     int pid;
 #endif
     GRAPHICS_APP(bool f) {fullscreen=f;}
-    void run(char* path) {
+    void run(char const * path) {
         int argc;
         char* argv[4];
         char abspath[1024];
@@ -1127,7 +1127,7 @@
 }
 #endif
 
-int boinc_send_trickle_up(char* variety, char* p) {
+int boinc_send_trickle_up(char const * variety, char const * p) {
     if (!options.handle_trickle_ups) return ERR_NO_OPTION;
     FILE* f = boinc_fopen(TRICKLE_UP_FILENAME, "wb");
     if (!f) return ERR_FOPEN;
Index: api/texfont.cpp
===================================================================
--- api/texfont.cpp	(Revision 18479)
+++ api/texfont.cpp	(Arbeitskopie)
@@ -159,10 +159,10 @@
 }
 
 
-static char *lastError;
+static char const * lastError = "";
 
 
-char * txfErrorString(void) {
+char const * const txfErrorString(void) {
 	return lastError;
 }
 
Index: api/reduce_lib.cpp
===================================================================
--- api/reduce_lib.cpp	(Revision 18479)
+++ api/reduce_lib.cpp	(Arbeitskopie)
@@ -454,7 +454,7 @@
 
 	float w;
 
-	const char* x_label = "Time";
+	char const x_label[] = "Time";
 #if 0
 	char* y_label = "Frequency";
 	char* y_begin_label = "0";
Index: api/mac_icon.cpp
===================================================================
--- api/mac_icon.cpp	(Revision 18479)
+++ api/mac_icon.cpp	(Arbeitskopie)
@@ -52,7 +52,7 @@
     return(e); } }
 
 // Adds the specified resource to the file given as an argument.
-int setMacRsrcForFile(char *filename, char *rsrcData, long rsrcSize, 
+int setMacRsrcForFile(char const * filename, char *rsrcData, long rsrcSize, 
                             OSType rsrcType, int rsrcID, StringPtr rsrcName) {
     OSErr oserr;                    /* stores an OS error code */
 //    FSSpec fsspec;                  /* FileSpec */
@@ -207,7 +207,7 @@
 // Adds icns resource to the file given as an argument.
 // If the file is a soft link, also adds icns resource to the resolved flle. 
 // Typically called from a main() with argv[0] to attach resources to itself */
-int setMacIcon(char *filename, char *iconData, long iconSize) {
+int setMacIcon(char const * filename, char* iconData, long iconSize) {
     char path[1024];
     StringPtr rsrcName = (StringPtr)"\pApplication icons";
 
@@ -215,4 +215,4 @@
     boinc_resolve_filename(filename, path, sizeof(path));
     return(setMacRsrcForFile(path, iconData, iconSize, 'icns', RESIDICON, rsrcName));
 }
-const char *BOINC_RCSID_112a101526="$Id$";
+const char BOINC_RCSID_112a101526[] = "$Id$";
Index: api/boinc_api.h
===================================================================
--- api/boinc_api.h	(Revision 18479)
+++ api/boinc_api.h	(Arbeitskopie)
@@ -75,7 +75,7 @@
 extern int boinc_resolve_filename(const char*, char*, int len);
 extern int boinc_get_init_data_p(struct APP_INIT_DATA*);
 extern int boinc_parse_init_data_file(void);
-extern int boinc_send_trickle_up(char* variety, char* text);
+extern int boinc_send_trickle_up(char const * variety, char const * text);
 extern int boinc_checkpoint_completed(void);
 extern int boinc_fraction_done(double);
 extern int boinc_suspend_other_activities(void);
@@ -102,7 +102,7 @@
 
 #ifdef __APPLE__
 extern int setMacPList(void);
-extern int setMacIcon(char *filename, char *iconData, long iconSize);
+extern int setMacIcon(char const * filename, char* iconData, long iconSize);
 #endif
 
 #ifdef __cplusplus
@@ -120,7 +120,7 @@
 extern int boinc_upload_file(std::string& name);
 extern int boinc_upload_status(std::string& name);
 extern int boinc_write_init_data_file(APP_INIT_DATA&);
-extern char* boinc_msg_prefix();
+extern char const * const boinc_msg_prefix();
 extern int suspend_activities();   // deprecated
 extern int resume_activities();    // deprecated
 extern int restore_activities();    //deprecated
Index: api/texfont.h
===================================================================
--- api/texfont.h	(Revision 18479)
+++ api/texfont.h	(Arbeitskopie)
@@ -61,7 +61,7 @@
 	TexGlyphVertexInfo **lut;
 } TexFont;
 
-extern char *txfErrorString(void);
+extern char const * const txfErrorString(void);
 
 extern TexFont *txfLoadFont(const char *filename);
 
